Subject: bug#99: Dired remote creates local directory from the menus

From: "Lennart Borgman (gmail)" <[email-masked]>
Date: Mon, 25 Aug 2008 23:51:48 +0200

Lennart Borgman (gmail) wrote:
> I can still easily reproduce this bug. Joakim (who can not reproduce
> this) was using ssh, I am using ftp.
> 
> I am on w32 I guess that matters too. I think you are using GNU/Linux,
> Joakim?

I took a look at it. The problem is in using the system file dialog to
read remote file names on w32. This just gives a local file name.

I am surprised that this works for you, Joakim. Does the file dialog on
GNU/Linux understand Emacs remote file syntax?

I think the fix is simple. Just tell read-file-name to not use a dialog:

                (if (or (not (next-read-file-uses-dialog-p))
                        (when default-filename
                          (file-remote-p default-filename))
                        (file-remote-p dir))